Index: tensions/luciano/fix-ie5-ie6.css
===================================================================
--- /extensions/luciano/fix-ie5-ie6.css	(revision 5939)
+++ 	(revision )
@@ -1,18 +1,0 @@
-/* Issues in IE from 5 to 6 only not to be used with IE7 */
-
-#thePage {height: 100%;}
-#rss			{ top: 10px;}
-#menubar dl		{ overflow: hidden;}
-#content		{ overflow: hidden;}
-
-.categoryActions { width: 220px;}
-.thumbnailCategory	{ position: relative;}
-.thumbnailCategories .illustration { margin: 10px 5px}
-.thumbnailCategories .description { width: 180px; padding: 0;}
-#content div.footer			{ height: 9px; overflow: hidden; }
-
-.thumbnails		{ margin: 0;}
-.thumbnails li	{ overflow: hidden;}
-
-#mbIdentification .actions { line-height:1.2em;}
-#linkThumbs						{ position: absolute; top: 0; left: 400px; width: 224px; height: 600px; background-image: url(transparent.gif); }
Index: /extensions/luciano/fix-ie6.css
===================================================================
--- /extensions/luciano/fix-ie6.css	(revision 5940)
+++ /extensions/luciano/fix-ie6.css	(revision 5940)
@@ -0,0 +1,12 @@
+/* Fix for IE5 or IE6 */
+
+#thePage { height: 100%;}
+#content, #menubar dl { overflow: hidden;}
+
+.thumbnailCategory	{ position: relative;}
+.thumbnailCategories .illustration { margin: 10px 5px}
+.thumbnailCategories .description { width: 180px; padding: 0;}
+
+.thumbnails li	{ overflow: hidden;}
+
+#linkThumbs						{ position: absolute; top: 0; left: 400px; width: 224px; height: 600px; background-image: url(transparent.gif); }
Index: /extensions/luciano/fix-ie7.css
===================================================================
--- /extensions/luciano/fix-ie7.css	(revision 5939)
+++ /extensions/luciano/fix-ie7.css	(revision 5940)
@@ -1,3 +1,3 @@
-/* fix IE with another layout for thumbnails */
+/* Fix for IE < 8 */
 
 .content UL.thumbnails SPAN.wrap2 {
@@ -9,5 +9,4 @@
 .content UL.thumbnails SPAN.wrap2 SPAN {
   width:170px;
-  overflow: visible;
   position: absolute;
   top: 50%;
@@ -17,4 +16,4 @@
 .content UL.thumbnails IMG.thumbnail {
   position: relative;
-  top: -50%;   
+  top: -50%;
 }
Index: /extensions/luciano/local_head.tpl
===================================================================
--- /extensions/luciano/local_head.tpl	(revision 5939)
+++ /extensions/luciano/local_head.tpl	(revision 5940)
@@ -1,7 +1,7 @@
+<!--[if lt IE 8]>
+	<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/luciano/fix-ie7.css">
+<![endif]-->
 <!--[if lt IE 7]>
-<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/luciano/fix-ie5-ie6.css">
-<![endif]-->
-<!--[if gt IE 6]>
-	<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/luciano/fix-ie7.css">
+	<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/luciano/fix-ie6.css">
 <![endif]-->
 
Index: /extensions/luciano/template/menubar_identification.tpl
===================================================================
--- /extensions/luciano/template/menubar_identification.tpl	(revision 5940)
+++ /extensions/luciano/template/menubar_identification.tpl	(revision 5940)
@@ -0,0 +1,62 @@
+<dt>
+  {if isset($U_LOGIN)}
+    <a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/lost_password.png" class="button" alt="{'Forgot your password?'|@translate}"></a>
+	{/if}
+	{'Identification'|@translate}</dt>
+<dd>
+	{if isset($USERNAME)}
+	<p>{'Hello'|@translate}&nbsp;{$USERNAME}&nbsp;!</p>
+	{/if}
+
+	<ul>
+	{if isset($U_REGISTER)}
+	<li><a href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow">{'Register'|@translate}</a></li>
+	{/if}
+
+	{if isset($U_LOGIN)}
+	<li><a href="{$U_LOGIN}" rel="nofollow">{'Login'|@translate}</a></li>
+	{/if}
+
+	{if isset($U_LOGOUT)}
+	<li><a href="{$U_LOGOUT}">{'Logout'|@translate}</a></li>
+	{/if}
+
+	{if isset($U_PROFILE)}
+	<li><a href="{$U_PROFILE}" title="{'customize the appareance of the gallery'|@translate}">{'Customize'|@translate}</a></li>
+	{/if}
+
+	{if isset($U_ADMIN)}
+	<li><a href="{$U_ADMIN}" title="{'available for administrators only'|@translate}">{'Administration'|@translate}</a></li>
+	{/if}
+	</ul>
+
+	{if isset($U_LOGIN)}
+	<form method="post" action="{$U_LOGIN}" id="quickconnect">
+	<fieldset>
+	<legend>{'Quick connect'|@translate}</legend>
+	<div>
+	<label for="username">{'Username'|@translate}</label><br>
+	<input type="text" name="username" id="username" value="" style="width:99%">
+	</div>
+
+	<div><label for="password">{'Password'|@translate}</label>
+	<br>
+	<input type="password" name="password" id="password" style="width:99%">
+	</div>
+
+	{if $AUTHORIZE_REMEMBERING}
+	<div><label for="remember_me">
+	{'Auto login'|@translate}
+	<input type="checkbox" name="remember_me" id="remember_me" value="1">
+	</label></div>
+	{/if}
+
+	<div>
+	<input class="submit" type="submit" name="login" value="{'Submit'|@translate}">
+	</div>
+
+	</fieldset>
+	</form>
+	{/if}
+</dd>
+
Index: /extensions/luciano/theme.css
===================================================================
--- /extensions/luciano/theme.css	(revision 5939)
+++ /extensions/luciano/theme.css	(revision 5940)
@@ -2,7 +2,7 @@
 del, dfn, em, font, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset,
 form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td
-	{ margin: 0; padding: 0; border: 0; outline: 0; font-size: 100%; vertical-align: baseline; background: transparent }
-
-body 						{ line-height: 1 }
+	{ margin: 0; padding: 0; border: 0; outline: 0; font-size: 100%; vertical-align: baseline; }
+
+body 						{ line-height: 1; }
 ol, ul 						{ list-style: none }
 blockquote, q 		{ quotes: none }
@@ -20,5 +20,5 @@
 fieldset										{ margin: 0; padding-right: 2em; }
 legend											{ padding: 0; }
-label												{ float:left; width:12em; display:block; clear:left; text-align:left;  cursor:hand; }
+label												{ float:left; width:12em; clear:left; text-align:left;  cursor:hand; }
 textarea, input, select, label, button, optgroup	{ margin-top:5px; }
 input[type="checkbox"] ,input[type="radio"]	{ margin-bottom:7px; }
@@ -31,8 +31,8 @@
 input:focus	{ border: 1px solid #666; }
 select			{ background-color: #fff; color: #000; }
-input				{ border: 1px solid #444; background-color: #222; color: #666}
+input				{ border: 1px solid #444; background-color: #222; color: #666; }
 input[type="submit"]				{ background-color: #666; color: #222; }
-input[type="submit"]:hover	{ background-color: #222; color: #666; cursor: hand;}
-input[type="checkbox"]			{ color: #000; }
+input[type="submit"]:hover	{ background-color: #222; color: #666; cursor: hand; }
+input[type="checkbox"]			{ color: #000; border: 0 none; vertical-align: middle; }
 input[type="radio"]					{ background-color: transparent; border:0 none; color: #000; }
 option											{ background-color:#222; color:#000; }
@@ -123,13 +123,9 @@
 #menubar dd ul ul { padding-left: 15px; }
 
+#menubar #quickconnect div { margin-bottom: 3px; }
+
 #menubar .totalImages 	{ margin:0 10px; padding-bottom:10px; }
 #menubar .actions			{ padding:0; }
-#menubar .button 			{ float:right; margin-right:5px; }
-
-#mbIdentification .actions						{ font-size: 0.8em; margin-top: 10px; color: #666; }
-#mbIdentification .actions a,
-#mbIdentification .actions a:visited	{ color: #999; }
-#mbIdentification .actions a:hover		{ color: #fff}
-#mbIdentification .actions li					{ float: left; margin-right: 10px;}
+#menubar .button 			{ float:right; margin-right:10px; }
 
 /* ELEMENTS */
@@ -160,9 +156,8 @@
 .thumbnails .thumbLegend { display:none; }
 
-.categoryActions	{ position: absolute; top: 10px; right: 20px; }
-.categoryActions li	{ float: left; margin-left:5px; }
-#order						{ float: right; margin-right:10px; cursor:pointer;}
-#orderText				{ float: left; margin-right: 10px; }
-
+.categoryActions	{ float:right; margin-right: 10px; }
+.categoryActions li	{ float: left; margin-left:5px; display: inline; }
+#order						{ float: left; margin: 2px 5px 0 0;}
+#orderText				{ float: left; margin: 2px 8px 0 0; }
 #playSlideshow		{ width: 200px; float: left; margin-left: 20px; margin-top: 10px; }
 #playSlideshow a		{ color: #666; }
@@ -264,8 +259,8 @@
 
 .elSelect .selected 				{ color: #333 !important; background-color: #999 !important; }
-.elSelect .selectedOption 	{ color: #222; float: left; padding: 4px 0 0 6px; width: 87px; font-weight: bold; font-size: 12px; overflow: hidden; }
+.elSelect .selectedOption 	{ color: #222; float: left; padding: 4px 0 0 6px; width: 87px; font-weight: bold; font-size: 12px; overflow: hidden; cursor:pointer; }
 .elSelect .option 					{ color: #555; background-color: #bbb; border-left: solid 1px #555; border-right: solid 1px #555; padding: 4px 0 5px 5px; text-align: left; font-weight: bold; font-size: 12px; }
 .elSelect .disabled 				{ color:#999; background-color: #333; border-left: solid 1px #555; border-right: solid 1px #555; }
-.elSelect .dropDown 				{ width: 23px; height: 20px; float: right; background: url(elSelect/select_arrow.png) no-repeat 0% 0%; }
+.elSelect .dropDown 				{ width: 23px; height: 20px; float: right; background: url(elSelect/select_arrow.png) no-repeat 0% 0%; cursor:pointer;}
 .elSelect .optionsContainerTop 				{ background: url(elSelect/top_center.gif) repeat-x 0% 0%; position: absolute; width: 100%; height: 5px; }
 .elSelect .optionsContainerTop div 			{ background: url(elSelect/top_left.gif) no-repeat 0% 0%; width: 100%; height: 5px; }
@@ -274,5 +269,5 @@
 .elSelect .optionsContainerBottom div 	{ background: url(elSelect/bottom_left.gif) no-repeat 0% 0%; width: 100%; height: 5px; }
 .elSelect .optionsContainerBottom div div { background: url(elSelect/bottom_right.gif) no-repeat 100% 0%; width: 100%; height: 5px; }
-.elSelect .optionsContainer 						{ position: absolute; display: none; }
+.elSelect .optionsContainer 						{ position: absolute; display: none; z-index: 1; }
 .icon_1 	{ background: url(elSelect/icon_1.gif) no-repeat 4px 50%; padding-left: 20px !important; }
 .icon_2 	{ background: url(elSelect/icon_2.gif) no-repeat 4px 50%; padding-left: 20px !important; }