Index: /extensions/Register_FluxBB/trunk/language/de_DE/index.php
===================================================================
--- /extensions/Register_FluxBB/trunk/language/de_DE/index.php	(revision 5950)
+++ /extensions/Register_FluxBB/trunk/language/de_DE/index.php	(revision 5950)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/language/de_DE/help/help_add_photos.html
===================================================================
--- /trunk/language/de_DE/help/help_add_photos.html	(revision 5950)
+++ /trunk/language/de_DE/help/help_add_photos.html	(revision 5950)
@@ -0,0 +1,26 @@
+<p>Möglichkeiten Fotos zu Ihrer Galerie hinzuzufügen:</p>
+
+<ul>
+  <li><strong>Manueller Upload</strong> über Ihren Webbrowser ist die einfachste und
+  direkteste Methode. Der Funktionsumfang dieser Methods hängt im wesentlichen von
+  den Fähigkeiten Ihres Browsers und denen Ihres Webservers ab. Für den Upload größerer Mengen
+  sollten Sie jedoch auf die unten angeführten Möglichkeiten zurückgreifen.</li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=direct">Zum manuellen Upload </a></p>
+
+<ul>
+  <li><strong>pLoader</strong> ist eine Anwendung, die Sie auf Ihrem Computer installieren können. Ziehen Sie Fotos in das pLoader Fenster und klicken Sie auf <em>"Upload zur Piwigo"</em>. Den Rest erledigt pLoader für Sie. Außerdem können Sie auch andere Anwendungen wie <strong>WinToPiwigo</strong> oder den <strong>Digikam</strong> Export-Plugin für Piwigo einsetzen.</li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Zum Piwigo Uploader</a></p>
+
+<ul>
+  <li><strong>FTP Upload</strong> ist die empfohlene Methode, um große Mengen
+  von Fotos mit wenigen Mausklicks zu übertragen. Befolgen Sie die Anweisungen
+  im Handbuch um Ihre Fotos vorzubereiten, und laden Sie sie mit dem FTP
+  Programm Ihrer Wahl hoch. Mit der FTP Methode können Sie selbst bestimmen, wie
+  Ihre Fotos auf Ihrem Server organisiert sind.</li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Zum FTP Upload</a></p>