Index: /extensions/GBO_hk-3/fix-ie5-ie6.css
===================================================================
--- /extensions/GBO_hk-3/fix-ie5-ie6.css	(revision 5988)
+++ /extensions/GBO_hk-3/fix-ie5-ie6.css	(revision 5988)
@@ -0,0 +1,31 @@
+/* fix for IE */
+#the_page{width:998px;position:relative;color::#222;border:1px solid #fff;margin:auto}
+ 
+div.illustration img{
+ /* Code spécial IE */ 
+  _width: expression((this.offsetWidth>=this.offsetHeight) ? 
+      Math.min(parseInt(this.offsetWidth), 128 ) : true); 
+  _height: expression((this.offsetHeight>this.offsetWidth) ? 
+      Math.min(parseInt(this.offsetHeight), 105 ) : true);
+ }
+  
+UL.categoryActions{ 
+ position: relative;
+ z-index: 1;
+ margin-bottom:-5px}
+ 
+#menubar dt{padding:5px}
+
+.middle_block, .stuffs {height:10em}
+
+.stuffs H2{  position: relative;z-index: 1; }
+
+.tags_block   {
+background:transparent url(img/fond_cat.png) repeat scroll 0 0;
+border-left:1px solid #CC9922;
+border-top:1px solid #CC9922;
+display:block;
+margin:2px;
+text-align:left;
+}
+
Index: /extensions/GBO_hk-3/img/admin/php.ini
===================================================================
--- /extensions/GBO_hk-3/img/admin/php.ini	(revision 5988)
+++ /extensions/GBO_hk-3/img/admin/php.ini	(revision 5988)
@@ -0,0 +1,6 @@
+	# GZIP COMPRESSION
+	# compression des fichiers à copier à la racine du site et recopier avec le script recopie_phpini.phpgb
+	output_handler          =  
+	zlib.output_compression = On
+
+	
Index: /extensions/GBO_hk-3/img/index.htm
===================================================================
--- /extensions/GBO_hk-3/img/index.htm	(revision 5988)
+++ /extensions/GBO_hk-3/img/index.htm	(revision 5988)
@@ -0,0 +1,50 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
+"http://www.w3.org/TR/html4/strict.dtd">
+<html lang="fr" dir="ltr">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<meta name="Keywords"  content="photos,espagne,pals,estartit,bouteyron,lanca">
+<link rel="shortcut icon" type="image/x-icon" href="template-common/favicon.ico">
+<link rel="stylesheet" type="text/css" href="template/yoga_gbo/layout.css">
+<!-- the next css is used to fix khtml (Konqueror/Safari) issue
+the "text/nonsense" prevents gecko based browsers to load it -->
+<link rel="stylesheet" type="text/nonsense" href="template/yoga_gbo/fix-khtml.css">
+<!--[if lt IE 7]>
+  <link rel="stylesheet" type="text/css" href="template/yoga_gbo/fix-ie5-ie6.css">
+<![endif]-->
+<link rel="stylesheet" type="text/css" media="print" href="template/yoga_gbo/print.css">
+<link rel="stylesheet" type="text/css" href="template/yoga_gbo/default-colors.css">
+<link rel="stylesheet" type="text/css" href="template/yoga_gbo/theme/hk-3/theme.css">
+<!--[if lt IE 7]>
+  <link rel="stylesheet" type="text/css" href="./template/yoga_gbo/theme/hk-3/fix-ie5-ie6.css">
+<![endif]-->
+ <!---Sweettitle  -->
+ <script type="text/javascript" src="template/yoga_gbo/addEvent.js"></script>
+ <script type="text/javascript" src="template/yoga_gbo/sweetTitlesN.js"></script>
+ <link rel="stylesheet" type="text/css" href="template/yoga_gbo/sweetTitles.css">
+ <style type="text/css" media="screen,projection"> </style>
+  <!---Sweettitle  -->
+<title>photos bouteyron accueil</title>
+<script type="text/javascript" src="include/scripts.js"></script>
+
+</head>
+
+<body id="theCategoryPage">
+
+<div id="the_page" >
+
+<h2>
+Merci de votre viste
+<br>  <br>
+le site est en cours de développement
+<br>  <br>
+Revenez dans quelques jours
+<br>
+<br>
+<br> <H4>
+Le site d'un ami <a href="http://www.photos.bouteyron.fr/">Martigues en photos</a>
+ <br>
+ 
+</body>
+</html>
+
Index: /extensions/GBO_hk-3/img/index.php
===================================================================
--- /extensions/GBO_hk-3/img/index.php	(revision 5988)
+++ /extensions/GBO_hk-3/img/index.php	(revision 5988)
@@ -0,0 +1,35 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2005 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | branch        : BSF (Best So Far)
+// | file          : $RCSfile$
+// | last update   : $Date: 2006-03-15 23:44:35 +0100 (mer., 15 mars 2006) $
+// | last modifier : $Author: plg $
+// | revision      : $Revision: 1082 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// recursive call of index.php
+
+$url = '../index.php';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/GBO_hk-3/img/php.ini
===================================================================
--- /extensions/GBO_hk-3/img/php.ini	(revision 5988)
+++ /extensions/GBO_hk-3/img/php.ini	(revision 5988)
@@ -0,0 +1,6 @@
+	# GZIP COMPRESSION
+	# compression des fichiers à copier à la racine du site et recopier avec le script recopie_phpini.phpgb
+	output_handler          =  
+	zlib.output_compression = On
+
+	
Index: /extensions/GBO_hk-3/index.htm
===================================================================
--- /extensions/GBO_hk-3/index.htm	(revision 5988)
+++ /extensions/GBO_hk-3/index.htm	(revision 5988)
@@ -0,0 +1,50 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
+"http://www.w3.org/TR/html4/strict.dtd">
+<html lang="fr" dir="ltr">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<meta name="Keywords"  content="photos,espagne,pals,estartit,bouteyron,lanca">
+<link rel="shortcut icon" type="image/x-icon" href="template-common/favicon.ico">
+<link rel="stylesheet" type="text/css" href="template/yoga_gbo/layout.css">
+<!-- the next css is used to fix khtml (Konqueror/Safari) issue
+the "text/nonsense" prevents gecko based browsers to load it -->
+<link rel="stylesheet" type="text/nonsense" href="template/yoga_gbo/fix-khtml.css">
+<!--[if lt IE 7]>
+  <link rel="stylesheet" type="text/css" href="template/yoga_gbo/fix-ie5-ie6.css">
+<![endif]-->
+<link rel="stylesheet" type="text/css" media="print" href="template/yoga_gbo/print.css">
+<link rel="stylesheet" type="text/css" href="template/yoga_gbo/default-colors.css">
+<link rel="stylesheet" type="text/css" href="template/yoga_gbo/theme/hk-3/theme.css">
+<!--[if lt IE 7]>
+  <link rel="stylesheet" type="text/css" href="./template/yoga_gbo/theme/hk-3/fix-ie5-ie6.css">
+<![endif]-->
+ <!---Sweettitle  -->
+ <script type="text/javascript" src="template/yoga_gbo/addEvent.js"></script>
+ <script type="text/javascript" src="template/yoga_gbo/sweetTitlesN.js"></script>
+ <link rel="stylesheet" type="text/css" href="template/yoga_gbo/sweetTitles.css">
+ <style type="text/css" media="screen,projection"> </style>
+  <!---Sweettitle  -->
+<title>photos bouteyron accueil</title>
+<script type="text/javascript" src="include/scripts.js"></script>
+
+</head>
+
+<body id="theCategoryPage">
+
+<div id="the_page" >
+
+<h2>
+Merci de votre viste
+<br>  <br>
+le site est en cours de développement
+<br>  <br>
+Revenez dans quelques jours
+<br>
+<br>
+<br> <H4>
+Le site d'un ami <a href="http://www.photos.bouteyron.fr/">Martigues en photos</a>
+ <br>
+ 
+</body>
+</html>
+
Index: /extensions/GBO_hk-3/local_head.tpl
===================================================================
--- /extensions/GBO_hk-3/local_head.tpl	(revision 5988)
+++ /extensions/GBO_hk-3/local_head.tpl	(revision 5988)
@@ -0,0 +1,4 @@
+<!--[if lt IE 7]>
+	<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/GBO_hk-3/fix-ie5-ie6.css">
+<![endif]-->
+
Index: /extensions/GBO_hk-3/mail-css.tpl
===================================================================
--- /extensions/GBO_hk-3/mail-css.tpl	(revision 5988)
+++ /extensions/GBO_hk-3/mail-css.tpl	(revision 5988)
@@ -0,0 +1,12 @@
+/* Theme dark mail css */
+
+body {ldelim} background-color:#444; color:#fff;}
+#the_page {ldelim} background: #444 url({$ROOT_URL}themes/default/images/mail/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}themes/default/images/mail/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}themes/default/images/mail/footer-bg.png) no-repeat scroll left bottom;
+color: #69c;}
+h2 {ldelim} background-color: #333;color:#fff48e;background-image: url({$ROOT_URL}themes/{$themeconf.theme}/images/tableh1_bg.png);}
+img {ldelim} margin: 16px; border: 16px solid #111; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#444;-moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #fff48e; background: transparent;border-bottom:1px dotted #005e89; }
+a:hover {ldelim} color: #fff48e;}
Index: /extensions/GBO_hk-3/theme.css
===================================================================
--- /extensions/GBO_hk-3/theme.css	(revision 5988)
+++ /extensions/GBO_hk-3/theme.css	(revision 5988)
@@ -0,0 +1,97 @@
+/* ----Thème GBO_HK3 --- */
+body {background:#080808}
+/* Common styles -------- */
+h2, h3 , a, a:link {color:#C92;text-decoration:none;border:0}
+a:hover{color:#Fafafa;text-decoration:none} 
+pre {overflow:auto;width:100%;height:auto}
+img{border:0}
+H2{font-size:1.1em;background:url(img/fond_h2.png) repeat-x;border:1px solid #6D6D6D;margin:2px 0 0 0}
+#comments H3 {margin:0 0 2px 0}
+/* Page -------- */
+.content div.titrePage {padding:0 0 1px}
+#the_page{width:998px;margin:auto}
+#the_page {position:relative;background:#131313;color:#e2dfd4;border:1px solid #e2dfd4}
+.content  {margin:0}
+/*Page Catégories -----*/
+.content div.thumbnailCategory div.description h3 {font-size:1em}
+/* nb de thumb by line */
+.content ul.thumbnailCategories li {width:33.3%}
+/* ---categories home page-*/
+.content div.thumbnailCategory {height:118px;overflow:hidden}
+.content div.thumbnailCategory , .tags_block{display:block;text-align:left;background:url(img/fond_cat.png);margin:2px;border-top: 1px solid #c92 ;border-left:1px solid #c92}
+div.illustration img{border:2px solid #d0d0d0;margin:4px 0 0 4px;-moz-border-radius:4px;border-radius:4px;max-width: 128px; max-height: 105px}
+div.illustration img:hover {border:2px solid #C92}
+.tags_block{min-height: 55px}
+/* Add Ex-FTB diapo for thumbnails */
+.content ul.thumbnails span, .content ul.thumbnails span.wrap2 a{width:150px;}
+.content UL.thumbnails SPAN.wrap2 {background-image:url(img/noir.png);height:150px}
+.content UL.thumbnails SPAN.wrap2:hover {background-image:url(img/blanc.png)}
+.content UL.thumbnails SPAN.wrap2 IMG {border:1px solid #222}
+.content UL.thumbnails SPAN.thumbLegend {display:block;height:2.8em;font-size:.9em}
+.nb-hits {color:#69c}
+.nb-comments {color:#f92}
+/*Page Image--*/
+#imageHeaderBar .browsePath ,#imageHeaderBar .browsePath a {color:#C92;text-decoration:none;font-weight:bold}
+#imageHeaderBar .browsePath a:hover {color:#F0F0F0}
+/*Menu------*/
+#menubar {position:relative;z-index:2}
+.content {position:relative;z-index:1}
+/* horizontal menubar */
+#menubar {float:none;width:100%;margin:2px 0 -1px 0;border:none;display:block;
+background-image:url(img/fond_titre.png);background-repeat:repeat-x}
+/* set menubar height (not for IE) */
+#the_page > #menubar {height:2.1em; padding:0}
+#menubar DL>DT{padding:.2em .2em}
+/* general UL formating */
+#menubar UL,#menubar DL{list-style:none;margin:0; padding:0;float:left}
+#menubar DL {display:inline;padding:0 1em}
+/* Bt filter */
+#menubar .button {position:absolute;left:95%;z-index:3} 
+#menubar P,#menubar P.totalImages{clear:both; margin:0; text-align:center; padding:0.2em}
+ /* titles and links */
+#menubar A,#menubar DT {display:block}
+/* positioning */
+#menubar DD {position:absolute;z-index:500;background-color:#555;color:#FaFaFa;margin:0}
+#menubar DD UL,#menuTagCloud{background-color:#555;color:#FBFBFB;width:17.5em;}
+#menubar LI{position:relative;margin:0;padding:0;height:1.5em}
+#menubar DD UL LI a {width:14.3em;overflow:hidden;height:1.1em}
+#menubar form{width:16.5em;overflow:hidden;}
+#menubar DD UL UL {position:absolute;  top:0; left:102%; z-index:500}
+#menubar  .menuInfoCatByChild,#menubar .menuInfoCat{position:absolute;top:0;right:9px}
+#menubar .icon{position:absolute;top:0;right:2.6em}
+/* hiding and revealing up to 5 menu levels */
+#menubar A,
+#menubar DL:hover DD,
+#menubar DD UL LI:hover UL,
+#menubar DD UL UL LI:hover UL,
+#menubar  UL  UL LI UL LI:hover UL,
+#menubar UL  UL LI UL LI UL LI:hover UL{display:block}
+#menubar DD,
+#menubar UL UL,#menubar UL  LI:hover UL UL,
+#menubar UL UL LI:hover UL UL,#menubar UL UL UL LI:hover UL UL ,
+#menubar UL UL UL UL  LI:hover UL UL{display:none}
+/* bords arrondis  */
+#menubar DD,#menubar DL,#menubar DD UL,#menubar li:hover ,
+.content div.thumbnailCategory   {-moz-border-radius:4px; border-radius:4px;}
+#menubar DD,#menubar UL UL{ margin-left:-1em;border:1px solid #000}
+/* survol */
+#menubar  DT:hover ,#menubar  DT a:hover ,#menubar a{color:#f0f0f0}
+#menubar a:hover {color:#000}
+#menubar li:hover{background:url(img/survol.png) repeat-x;color:#000;z-index:600}
+#menubar dl:hover{background:url(img/survol1.png) repeat-x;color:#000;z-index:600}
+#mbAMM_randompict a:hover{background:transparent}
+#menubar DD A {padding:.1em 0 .4em 0.5em}
+/*quickconnect -----*/
+FORM#quickconnect,.zero  {display:none}
+/*--menuTagCloud ---------*/
+#menuTagCloud span A {text-align:left;font-size:.85em;display:inline}
+/* --commentaires -----*/
+#theCommentsPage #comments div.thumbnailCategory , #thePicturePage #comments div.thumbnailCategory {background:none;overflow:hidden;border:1px solid #c92;-moz-border-radius:6px;border-radius:6px;margin:3px;padding:1px}
+#addComment LABEL{display:block;float:none;margin:.5em;padding:0 3px 0 3px}
+legend{color:#c92;font-style: italic;}
+FORM.filter FIELDSET INPUT[type=submit]{float:right;margin:1em 45% 0 0}
+/*calendar---------*/
+UL.categoryActions, DIV.calendarViews {padding-right:5px}
+/* -- Footer -------- */
+#copyright a:link,#copyright a:visited {text-decoration:none;color:#C92}
+#copyright a:hover {text-decoration:none;color:#C92;border:0}
Index: /extensions/GBO_hk-3/themeconf.inc.php
===================================================================
--- /extensions/GBO_hk-3/themeconf.inc.php	(revision 5988)
+++ /extensions/GBO_hk-3/themeconf.inc.php	(revision 5988)
@@ -0,0 +1,14 @@
+<?php
+/*
+Theme Name:GBO_HK-3
+Version: 2.1.a
+Description: dark with Drop-down horizontal menu 
+Theme URI: http://fr.piwigo.org/ext/extension_view.php?eid=124
+Author: Chrisaga revised by EX-FTB
+Author URI: http://www.photos.bouteyron.fr
+*/
+$themeconf = array(
+  'name'  => 'GBO_hk-3',
+  'parent' => 'default',
+  'local_head'    => 'local_head.tpl');
+?>