Index: /trunk/admin.php
===================================================================
--- /trunk/admin.php	(revision 5996)
+++ /trunk/admin.php	(revision 5997)
@@ -119,5 +119,5 @@
     'U_CAT_OPTIONS'=> $link_start.'cat_options',
     'U_CAT_UPDATE'=> $link_start.'site_update&amp;site=1',
-    'U_WAITING'=> $link_start.'comments',
+    'U_WAITING'=> $link_start.'upload',
     'U_RATING'=> $link_start.'rating',
     'U_CADDIE'=> $link_start.'element_set&amp;cat=caddie',
@@ -134,4 +134,5 @@
     'U_ADD_PHOTOS' => $link_start.'photos_add',
     'U_CHANGE_THEME' => PHPWG_ROOT_PATH.'admin.php?change_theme=1',
+    'U_PENDING_COMMENTS' => $link_start.'comments',
     )
   );
Index: /trunk/admin/comments.php
===================================================================
--- /trunk/admin/comments.php	(revision 5996)
+++ /trunk/admin/comments.php	(revision 5997)
@@ -28,5 +28,4 @@
 
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-include_once(PHPWG_ROOT_PATH.'admin/include/functions_waiting.inc.php');
 
 // +-----------------------------------------------------------------------+
@@ -97,7 +96,4 @@
 $template->set_filenames(array('comments'=>'comments.tpl'));
 
-// TabSheet initialization
-waiting_tabsheet();
-
 $template->assign(
   array(
Index: /trunk/admin/include/functions.php
===================================================================
--- /trunk/admin/include/functions.php	(revision 5996)
+++ /trunk/admin/include/functions.php	(revision 5997)
@@ -1909,5 +1909,4 @@
     case 'photos_add':
     case 'upload':
-    case 'comments': // really needs to be moved somewhere else
     case 'rating':
     case 'tags':
@@ -1942,4 +1941,5 @@
     case 'maintenance':
     case 'thumbnail':
+    case 'comments':
       return 4;
 
Index: unk/admin/include/functions_waiting.inc.php
===================================================================
--- /trunk/admin/include/functions_waiting.inc.php	(revision 5996)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-
-function waiting_tabsheet()
-{
-  global $page, $link_start;
-
-  // TabSheet
-  $tabsheet = new tabsheet();
-  // TabSheet initialization
-  $tabsheet->add('comments', l10n('Comments'), $link_start.'comments');
-  $tabsheet->add('upload', l10n('Pictures'), $link_start.'upload');
-  // TabSheet selection
-  $tabsheet->select($page['page']);
-  // Assign tabsheet to template
-  $tabsheet->assign();
-}
-
-?>
Index: /trunk/admin/themes/default/template/admin.tpl
===================================================================
--- /trunk/admin/themes/default/template/admin.tpl	(revision 5996)
+++ /trunk/admin/themes/default/template/admin.tpl	(revision 5997)
@@ -74,4 +74,5 @@
         <li><a href="{$U_THUMBNAILS}">{'Thumbnails'|@translate}</a></li>
         <li><a href="{$U_MAINTENANCE}">{'Maintenance'|@translate}</a></li>
+        <li><a href="{$U_PENDING_COMMENTS}">{'Pending Comments'|@translate}</a></li>
       </ul>
     </dd>
Index: /trunk/admin/upload.php
===================================================================
--- /trunk/admin/upload.php	(revision 5996)
+++ /trunk/admin/upload.php	(revision 5997)
@@ -28,5 +28,4 @@
 
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-include_once(PHPWG_ROOT_PATH.'admin/include/functions_waiting.inc.php');
 
 // +-----------------------------------------------------------------------+
@@ -138,7 +137,4 @@
 $template->set_filenames(array('upload'=>'upload.tpl'));
 
-// TabSheet initialization
-waiting_tabsheet();
-
 $template->assign(array(
   'F_ACTION'=>str_replace( '&', '&amp;', $_SERVER['REQUEST_URI'])
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5996)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5997)
@@ -767,3 +767,4 @@
 $lang['Order of menubar items has been updated successfully.'] = 'Order of menubar items has been updated successfully.';
 $lang['This theme was not designed to be directly activated'] = 'This theme was not designed to be directly activated';
+$lang['Pending Comments'] = 'Pending Comments';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5996)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5997)
@@ -772,3 +772,4 @@
 $lang['Order of menubar items has been updated successfully.'] = 'L\'ordre des éléments du menu a été mis à jour avec succès.';
 $lang['This theme was not designed to be directly activated'] = 'Ce thème n\'est pas conçu pour être activé directement';
+$lang['Pending Comments'] = 'Commentaires en attente';
 ?>